Scipy installation error

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Scipy installation error

Javier-60
Hi all!

I just bought a new computer and I haven't been able to get scipy working, I've
followed this manual: http://www.scipy.org/Installing_SciPy/Linux and I got the
error below so I tried with pip install and I also got the same error. The
installations don't return any errors, but when I try to use it:

from scipy.stats import *
  File "/usr/lib/python2.7/dist-packages/scipy/stats/__init__.py", line 321, in
<module>
    from stats import *
  File "/usr/lib/python2.7/dist-packages/scipy/stats/stats.py", line 194, in
<module>
    import scipy.linalg as linalg
  File "/usr/lib/python2.7/dist-packages/scipy/linalg/__init__.py", line 133, in
<module>
    from basic import *
  File "/usr/lib/python2.7/dist-packages/scipy/linalg/basic.py", line 12, in
<module>
    from lapack import get_lapack_funcs
  File "/usr/lib/python2.7/dist-packages/scipy/linalg/lapack.py", line 14, in
<module>
    from scipy.linalg import flapack
ImportError: /usr/lib/python2.7/dist-packages/scipy/linalg/flapack.so: undefined
symbol: sgges_

Hope somebody can help me, it's driving me crazy... Thanks!

_______________________________________________
SciPy-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/scipy-user
Reply | Threaded
Open this post in threaded view
|

Re: Scipy installation error

Thomas Kluyver-2
Hi Javier,

On 22 December 2012 01:06, Javier <[hidden email]> wrote:
I just bought a new computer and I haven't been able to get scipy working, I've
followed this manual: http://www.scipy.org/Installing_SciPy/Linux and I got the
error below so I tried with pip install and I also got the same error. The
installations don't return any errors, but when I try to use it:

Which distribution do you use? In most cases, it's easiest to install numpy & scipy from the repositories for your distribution. E.g. on Ubuntu, "sudo apt-get install python-scipy". It's probably only worth installing from source if you need something that was added in the newest version of Scipy.

Best wishes,
Thomas

_______________________________________________
SciPy-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/scipy-user